Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Xabsl2/yabsl/vsyabsl/common.cpp File Reference

`#include "common.h"`
`#include <stdio.h>`
`#include <stdarg.h>`

Include dependency graph for common.cpp:

Go to the source code of this file.

## Classes
struct | ObjectInfo
## Functions
ULONG | IncRefCount (inout ULONG *refCount)
ULONG | DecRefCount (inout ULONG *refCount)
void | Trace (const char *format,...)
void | TraceDumpObjects ()
void | TraceInit (in const char *moduleName)
void | TraceDone ()
void | TraceCreate (const char *name, IUnknown *obj)
void | TraceDestroy (IUnknown *obj)
## Variables
const char * | g_traceModuleName = NULL
CRITICAL_SECTION | g_traceGuard
DWORD | g_traceThreadID
ObjectInfo * | objectList = NULL

## Function Documentation

ULONG IncRefCount | ( | inout ULONG * | refCount | ) |

| Definition at line 15 of file common.cpp. Referenced by BabelServiceFactory::LockServer(), and STDMETHODIMP_().

ULONG DecRefCount | ( | inout ULONG * | refCount | ) |

| Definition at line 20 of file common.cpp. Referenced by BabelServiceFactory::LockServer().

void Trace | ( | const char * | format,
|  | ... |
| ) |

| Definition at line 34 of file common.cpp. References g_traceGuard, g_traceModuleName, and g_traceThreadID.

void TraceDumpObjects | ( |  | ) |

| Definition at line 82 of file common.cpp. References g_traceGuard, ObjectInfo::name, ObjectInfo::next, ObjectInfo::obj, objectList, TRACE, and TRACE3. Referenced by TraceDone().

void TraceInit | ( | in const char * | moduleName | ) |

| Definition at line 101 of file common.cpp. References g_traceGuard, g_traceModuleName, g_traceThreadID, and objectList.

void TraceDone | ( |  | ) |

| Definition at line 111 of file common.cpp. References FREE, g_traceGuard, ObjectInfo::next, objectList, TRACE, and TraceDumpObjects().

Here is the call graph for this function:

void TraceCreate | ( | const char * | name,
|  | IUnknown * | obj
| ) |

| Definition at line 140 of file common.cpp. References ALLOC, g_traceGuard, ObjectInfo::name, ObjectInfo::next, ObjectInfo::obj, objectList, TRACE1, and TRACE2.

void TraceDestroy | ( | IUnknown * | obj | ) |

| Definition at line 161 of file common.cpp. References FREE, g_traceGuard, ObjectInfo::name, ObjectInfo::next, ObjectInfo::obj, objectList, TRACE1, and TRACE2.

## Variable Documentation

const char* g_traceModuleName = NULL`[static]`

| Definition at line 30 of file common.cpp. Referenced by Trace(), and TraceInit().

CRITICAL_SECTION g_traceGuard`[static]`

| Definition at line 31 of file common.cpp. Referenced by Trace(), TraceCreate(), TraceDestroy(), TraceDone(), TraceDumpObjects(), and TraceInit().

DWORD g_traceThreadID`[static]`

| Definition at line 32 of file common.cpp. Referenced by Trace(), and TraceInit().

ObjectInfo* objectList = NULL`[static]`

| Definition at line 80 of file common.cpp. Referenced by TraceCreate(), TraceDestroy(), TraceDone(), TraceDumpObjects(), and TraceInit().